org.apache.hadoop.mapreduce.v2.app.job.impl

## Class JobImpl.StartTransition

- java.lang.Object
- - org.apache.hadoop.mapreduce.v2.app.job.impl.JobImpl.StartTransition

- All Implemented Interfaces:
    org.apache.hadoop.yarn.state.SingleArcTransition<JobImpl,JobEvent>
  Enclosing class:
    JobImpl

      public static class JobImpl.StartTransition
      extends Object
      implements org.apache.hadoop.yarn.state.SingleArcTransition<JobImpl,JobEvent>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StartTransition()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `transition(JobImpl job, JobEvent event)` This transition executes in the event-dispatcher thread, though it's triggered in MRAppMaster's startJobs() method.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StartTransition

          public StartTransition()

  - ### Method Detail

    - #### transition

          public void transition(JobImpl job,
                                 JobEvent event)

      This transition executes in the event-dispatcher thread, though it's triggered in MRAppMaster's startJobs() method.
      Specified by:
        `transition` in interface `org.apache.hadoop.yarn.state.SingleArcTransition<JobImpl,JobEvent>`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.